
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android详解之NoHttp最基本使用（无封装）_Android / iVAN</title>

    <meta name="description" content="Android详解之NoHttp最基本使用（无封装）_Android NoHttp是专门做Android网络请求与下载的框架,NoHttp基本使用方法如下 本文demo源码下载地址: http://xiazai.jb51.net/201609/yuanma/AndroidNoHttp(jb51.net).rar 本文的例子来自上面的demo中的OriginalActivity中. 代码 对于新手, 看别人封装好的代码允许要稍微吃力一点,尤其是一个框架,所以我们先看NoHttp最原始的使用方法: public class OriginalActivity exten">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android详解之NoHttp最基本使用（无封装）_Android</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>NoHttp是专门做Android网络请求与下载的框架，NoHttp基本使用方法如下</p>
<p>本文demo源码下载地址: http://xiazai.jb51.net/201609/yuanma/AndroidNoHttp(jb51.net).rar</p>
<p>本文的例子来自上面的demo中的OriginalActivity中。</p>
<p>代码</p>
<p>对于新手, 看别人封装好的代码允许要稍微吃力一点，尤其是一个框架，所以我们先看NoHttp最原始的使用方法：</p>
<pre>
public class OriginalActivity extends BaseActivity implements View.OnClickListener {

 /**
  * 用来标志请求的what, 类似handler的what一样，这里用来区分请求
  */
 private static final int NOHTTP_WHAT_TEST = 0x001;

 /**
  * 请求的时候等待框
  */
 private WaitDialog mWaitDialog;

 /**
  * 请求队列
  */
 private RequestQueue requestQueue;

 @Override
 protected void onActivityCreate(Bundle savedInstanceState) {
  setTitle(Application.getInstance().nohttpTitleList[0]);
  setContentView(R.layout.activity_original);
  // 按钮点击监听
  findView(R.id.btn_start).setOnClickListener(this);

  mWaitDialog = new WaitDialog(this);

  // 创建请求队列, 默认并发3个请求, 传入数字改变并发数量: NoHttp.newRequestQueue(1);
  requestQueue = NoHttp.newRequestQueue();
 }

 @Override
 public void onClick(View v) {
  // 创建请求对象
  Request&lt;String&gt; request = NoHttp.createStringRequest(url, RequestMethod.POST);

  // 添加请求参数
  request.add("userName", "yolanda");
  request.add("userPass", 1);
  request.add("userAge", 1.25);

  // 上传文件
  request.add("userHead", new FileBinary(new File(path)));

  // 添加请求头
  request.addHeader("Author", "nohttp_sample");

  // 设置一个tag, 在请求完(失败/成功)时原封不动返回; 多数情况下不需要
  // request.setTag(object);

  /*
   * what: 当多个请求同时使用同一个OnResponseListener时用来区分请求, 类似handler的what一样
   * request: 请求对象
   * onResponseListener 回调对象，接受请求结果
   */
  requestQueue.add(NOHTTP_WHAT_TEST, request, onResponseListener);
 }

 /**
  * 回调对象，接受请求结果
  */
 private OnResponseListener&lt;String&gt; onResponseListener = new OnResponseListener&lt;String&gt;() {
  @SuppressWarnings("unused")
  @Override
  public void onSucceed(int what, Response&lt;String&gt; response) {
   if (what == NOHTTP_WHAT_TEST) {// 判断what是否是刚才指定的请求
    // 请求成功
    String result = response.get();// 响应结果
    // 响应头
    Headers headers = response.getHeaders();
    headers.getResponseCode();// 响应码
    response.getNetworkMillis();// 请求花费的时间
   }
  }

  @Override
  public void onStart(int what) {
   // 请求开始，显示dialog
   mWaitDialog.show();
  }

  @Override
  public void onFinish(int what) {
   // 请求结束，关闭dialog
   mWaitDialog.dismiss();
  }

  @Override
  public void onFailed(int what, String url, Object tag, CharSequence error, int resCode, long ms) {
   // 请求失败
   ...
  }
 };

 @Override
 protected void onDestroy() {
  super.onDestroy();
  requestQueue.cancelAll();// 退出APP时停止所有请求
  requestQueue.stop();// 退出APP时停止队列
 }

}
</pre>
<p>以上就是本文的全部内容，希望对大家的学习有所帮助，也希望大家多多支持。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索android<br />
                    ，                框架<br />
                                    NoHttp<br />
                                    android nohttp封装、java封装继承多态详解、mp4封装格式详解、kxmovie 封装详解、ps封装格式详解，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 14:39:28</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/%e6%a1%86%e6%9e%b6/" title="框架">框架</a>, <a href="https://www.iamivan.net/tag/nohttp/" title="NoHttp">NoHttp</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android详解之NoHttp最基本使用（无封装）_Android的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GYrgp.html" rel="bookmark">Android开发之浏览器用法实例详解&lpar;调用uc&comma;opera&comma;qq浏览器访问网页&rpar;&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android开发之浏览器用法.分享给大家供大家参考,具体如下: 一.启动android默认浏览器 Intent intent = new Intent(); intent.setAction(&quot;android.intent.action.VIEW&quot;); Uri content_url = Uri.parse(&quot;http://www.jb51.net&quot;); intent.setData(content_url); startActivity(inten			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL584Zz.html" rel="bookmark">Android RecyclerView详解之实现 ListView GridView瀑布流效果&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 什么是RecyclerView RecyclerView 是Google推出的最新的 替代ListView.GridView的组件,RecyclerView是用来显示大量数据的容器,并通过有限数量的子View,来提高滚动时的性能. 与ListView不同,RecyclerView 不再负责布局,而是专注于布局复用.布局主要通过 LayoutManager来管理,目前提供了3种常用的布局管理: LinearLayoutManager 线性布局管理器 (ListView效果) GridLayout			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7ZxAXp.html" rel="bookmark">Android 详解第三方介质交互之NFC&comma;并且实现读你的交通卡，酒店房卡，学生证！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请注明出处王亟亟的大牛之路 最近一段时间都在自己学习啊,看看东西敲敲代码什么的,熟悉业务逻辑啊之类的,因为刚跳槽,外加又不怎么忙,所以就还算时间蛮多的,自己利用呗,昨天被老大问有没有做过NFC..脑子一愣,并没有然后说,OH好的,我看一下.(据说是之后改的一些东西里面会运用到NFC) 废话不多开始正题: 写内容之前先介绍下NFC(如果想直接看代码的,请忽略这部分) NFC是一个短范围无线技术集合,通常需要4厘米或更短的距离才能初始化连接.(你把卡什么的往手机背部贴实了就能很快的识别) NDE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV0rnkM.html" rel="bookmark">android 详解 SharedPreferences</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SharedPreferences存储类效率分析 SharedPreferences是Android平台上一个轻量级的存储类,主要是保存一些常用的配置比如窗口状态,一般在Activity中重载窗口状态onSaveInstanceState保存一般使用SharedPreferences完成,它提供了Android平台常规的Long长整形.Int整形.String字符串型的保存,它是什么样的处理方式呢?  SharedPreferences类似过去Windows系统上的ini配置文件,但是它分为多种			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QYaqp.html" rel="bookmark">Android动画之渐变动画&lpar;Tween Animation&rpar;详解 &lpar;渐变、缩放、位移、旋转&rpar;&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android动画之渐变动画(Tween Animation).分享给大家供大家参考,具体如下: Android 平台提供了两类动画. 一类是Tween动画,就是对场景里的对象不断的进行图像变化来产生动画效果(旋转.平移.放缩和渐变). 第二类就是 Frame动画,即顺序的播放事先做好的图像,与gif图片原理类似. 下面就讲一下Tweene Animations. 主要类: Animation                  动画 AlphaAnimation          			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg0ox6p.html" rel="bookmark">Android详解之ListView优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				去除ListView滑到顶部和底部时边缘的黑色阴影: android:fadingEdge=&quot;none&quot;  ---------------------------------------------------- 去除拖动时默认的黑色背景: android:cacheColorHint=&quot;#00000000&quot;   或 listView.setCacheColorHint(Color.TRANSPARENT); ----------------------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgPoZmp.html" rel="bookmark">联通董秘详解百亿股解禁：无任何意向减持股票</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				5月19日下午17:40消息,针对中国联通107.5亿限售股将获得上市流通权,中国联通A股上市公司董秘张保英称,联通集团目前还处于增持期,有意继续增持公司股票,目前也没有任何意愿减持所持有公司的股票. 由于联通解禁股票数量巨大,成为5月份解禁数量最大的A股股票,将对市场造成很大冲击.对于此次解禁,中国联通董事会秘书张保英介绍说,至5月19日,联通集团持有的公司107.5亿股票解禁转为流通股,这是按照股改性质由限售股转为流通股.同时也是股改的安排.按照证监会关于股改的相关规定,完成股改后大股东(即			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7W1Waz.html" rel="bookmark">详解js中class的多种函数封装方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲解了js中class的多种函数封装方法,分享给大家供大家参考,具体内容如下 &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt;关于class的多种函数封装&lt;/title&gt; &lt;style&gt; body{ margin: 0; } li{ height: 20px; } &lt;/style			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlOJKOb.html" rel="bookmark">Kotlin 封装万能SharedPreferences存取任何类型详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Kotlin 封装万能SharedPreferences存取任何类型详解 /** * author: smart * time: 2016/10/26 * 封装好SharedPreferences 并使用 序列化和反序列化来存储数据 * 注意要在全局环境使用 */ class Preference&lt;T&gt;(val context : Context,val name : String,val default : T) : ReadWriteProperty&lt;Any?,T&gt;{ val			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEWRLp.html" rel="bookmark" class="title">图的邻接表存储结构</a>
					<div>
						程序调用入口: using System; namespace Graphic_AdjacencyList { internal class Program { private static void ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8xaVp.html" rel="bookmark" class="title">ASP关于页面和代码分离的问题</a>
					<div>
						代码分离|问题|页面|代码分离     为了避免ASP程序和HTML代码混写造成维护困难的情况,本文介绍了一种方法,利用模板来分离程序和页面,使程序设计更加轻松.       在使用ASP制作一个站点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYZBBp.html" rel="bookmark" class="title">数据仓库设计的21条原则&lbrack;DMResearch&period;net&rsqb;</a>
					<div>
						设计|数据  [为方便自己阅读所以收集整理此处,www.DMResearch.net]   数据仓库设计的21条原则 --7个步骤,7个禁忌和7种思路 高效实现数据仓库的七个步骤 数据仓库和我们常见的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOo6Rz.html" rel="bookmark" class="title">程序员的生命</a>
					<div>
						程序|程序员     程序员的生命究竟是什么?这个问题我思索了很久.真的很久,看了很多程序员的牢骚,也看了很多多程序员的痛骂,写了一些程序,做了一些项目,也挨了客户不少的骂,思索一直伴随着我.     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM93doz.html" rel="bookmark" class="title">关于在 win2000 下安装 mysql 的一些问题&excl;</a>
					<div>
						mysql|问题 前一段时间,发表了一编安装mysql的文章,结果有很多的朋友来问相关的问题.(太多了,应付不了) 1. 关于在其他目录安装mysql ljf@sinonets.net.cn的朋友问: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnjrDz.html" rel="bookmark" class="title">用Word制作异形图片</a>
					<div>
						用Word制作异形图片 在Word2007文档中,如果想把图片裁剪成异形,可以通过图形的&quot;填充&quot;效果来实现. 1.先准备好需要裁剪的图片:通过图像处理软件,将需要裁剪下来的部分调整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq82geb.html" rel="bookmark" class="title">原生js结合html5制作小飞龙的简易跳球</a>
					<div>
						这篇文章主要介绍了原生js结合html5制作小飞龙的简易跳球的方法和代码分享,推荐给大家,有需要的小伙伴可以参考下.     演示地址:http://runjs.cn/detail/yjpvqhal  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGvg8p.html" rel="bookmark" class="title">百度卫士1&period;2加速圈流量监控</a>
					<div>
						  图1 百度卫士1.2公测版正式上线 从百度卫士1.2公测版的安装界面来看,这款安全软件从诞生起就一直主打&quot;轻.快.智.净&quot;的四个特点,明白人一眼就可以看得出叫板的就是国内的另一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN77e4p.html" rel="bookmark" class="title">云安全成2009年关键词</a>
					<div>
						本文讲的是云安全成2009年关键词,安全,一个大家时刻都关注的词汇.在互联网时代,随着网络安全威胁的日益严重,用户也开始关注安全的建设.而现阶段的安全威胁在种类上越来越丰富,攻击形势也开始多样化.从早 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YxxqM.html" rel="bookmark" class="title">语义分析-情感分析（文本或语句），求助一些基本知识</a>
					<div>
						问题描述 情感分析(文本或语句),求助一些基本知识 路过的各位看过情感分析的,求帮忙推荐一些材料,我之前看了一些用朴素贝叶斯进行文本情感分析的一些资料,但是总有一些地方不太明白,求一些基本的计算的例子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmdXkz.html" rel="bookmark" class="title">软件工程之面向对象</a>
					<div>
						         面向对象是一种对现实世界理解和抽象的方法,是计算机编程技术发展到一定阶段后的产物,早期的计算机编程是基于面向过程的方法,比如一个计算正方形的程序,我们的一般思路是,定义三个变量,a= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjYeVp.html" rel="bookmark" class="title">CUDA C 编程指导（一）：CUDA介绍</a>
					<div>
						虽然高清实时的3D图像/视频要求日益不能满足市场需求,但是可编程的图像处理单元(GPU)已经演变成具有巨大计算能力和超高存储带宽的高度并行.多线程的多核处理器,如下图, CPU和GPU之间的浮点性能差 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NaEaz.html" rel="bookmark" class="title">Docker Hub中超过30&percnt;的官方镜像包含高危漏洞</a>
					<div>
						本文讲的是Docker Hub中超过30%的官方镜像包含高危漏洞,[编者的话]Docker Hub是一个供Docker开发者用来上传/下载容器镜像的地方.为了认识其应对安全风险的能力如何,我们对其中的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmWJ9b.html" rel="bookmark" class="title">酷派：销量第二 领跑国产4G手机</a>
					<div>
						最新消息显示,市场研究公司赛诺最新发布的报告,中国移动终端市场3月份呈现回暖趋势,其中4G市场完成销量环比增长68.6%.值得注意的是,在TD-LTE市场上,酷派销量已经超越三星跃升至第二位,苹果虽然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94R63b.html" rel="bookmark" class="title">Asterisk speech recognition 0&period;4发布 语音识别的AGI脚本</a>
					<div>
						Asterisk是一个语音识别的AGI脚本,使用谷歌语音识别引擎,为了渲染语音到文本并返回到dialplan作为一个asterisk 通道变量. Asterisk speech recognition ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Z06qp.html" rel="bookmark" class="title">全球半导体 20 强：台积电第三、联发科营收跳增近三成</a>
					<div>
						半导体研究机构 IC Insights 15 日公布 2016 全球前二十大芯片厂预估营收排名,其中美国有 8 家半导体厂入榜,日本.欧洲与中国台湾地区各有 3 家,韩国则有两家挤进榜. 英特尔今年预 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7rAkM.html" rel="bookmark" class="title">你还以为，除了你自己就没有人懂你女朋友吗？</a>
					<div>
						天猫披露的数据显示,3.8女王节期间,天猫全行业客单价增幅高达两位数,从大盘看,上榜商品的销售额占总成交一半以上:从商家的角度看,上榜商品的销售额占上榜商家总成交的80%以上.此外,洗碗机.电子美容仪 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b224G3b.html" rel="bookmark" class="title">如何可以最大程度的增加关键词密度</a>
					<div>
						摘要: 密度,简单的说就是某种物质不随质量和体积的变化而变化,只随物态变化而变化的一种特性,将这个词用在网站的关键词上,也是一种学习网站如何增加网站关键词密度的一种定义法 密度,简单的说就是某种物质不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBggNNM.html" rel="bookmark" class="title">第4周-任务3-正整数类</a>
					<div>
						[题目]设计一个&quot;正整数&quot;类,并通过一系列的成员函数对其性质进行做出判断或列出相关联的数值.下面给出类声明,请实现各成员函数.另外,模仿已经给出的main()函数,完成你所设计的各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnX3vM.html" rel="bookmark" class="title">《程序分析方法》&mdash;&mdash;1&period;1  程序设计语言发展的四个阶段</a>
					<div>
						1.1 程序设计语言发展的四个阶段 到目前为止,程序设计语言的发展经过了机器语言.汇编语言.高级语言.第四代语言四个阶段,每一个阶段都使程序设计的效率大大提高.我们常常把机器语言称为第 一代程序设计语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWwYGM.html" rel="bookmark" class="title">百度与奇虎360即将上演新版楚汉之争</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 东风吹,战鼓擂,新一轮的3B大站即将拉开序幕了,而这一次百度与奇虎360将再移动互联市场上上演楚汉之争,7月16日消息:百度已经收购了91无线,这一事件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkmgvM.html" rel="bookmark" class="title">网络连接-ICS共享给虚拟wifi和虚拟机nat上网是否会冲突？</a>
					<div>
						问题描述 ICS共享给虚拟wifi和虚拟机nat上网是否会冲突? 我的电脑上安装了vmware并且运行在这个平台上的机器都能通过nat方式上网,现在 解决方案 ics要求你的ip必须是192.168. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R0K7z.html" rel="bookmark" class="title">spring mvc&plus;spring3&plus;hibernate4的事务不会自动清楚session缓存</a>
					<div>
						问题描述 spring mvc+spring3+hibernate4的事务不会自动清楚session缓存 没有手动清缓存,就不执行插入SQL了手动清缓存的话,就能添加成功. 有知道原因的大神吗!!!  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgeEkM.html" rel="bookmark" class="title">回归理性是关键</a>
					<div>
						阿里看来是真的怒了,虽然这次的愤怒不可避免的有点为了促进天猫销量的嫌疑,但是从公平公正的角度上来说,阿里这次推出了禁止刷虚拟产品信誉的方式,炒作信用,销售假冒产品,侵犯知识产权成为阿里淘宝针对集市打击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOkWDb.html" rel="bookmark" class="title">gui-java GUI编程 TextField 队列</a>
					<div>
						问题描述 java GUI编程 TextField 队列 TextField中输入一行数,通过这行数创建一个队列,入队,然后在另一个TextField中输出 出队的数据,如何实现呢 解决方案 java ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgER9Ez.html" rel="bookmark" class="title">AJax 学习笔记一&lpar;XMLHTTPRequest对象&rpar;&lowbar;AJAX相关</a>
					<div>
						现在很多公司都在做标准的静态页面,为了增强客户的体验效果,经常会涉及到AJax效果,而设计AJax使用的一种重要技术(工具)就是XMLHttpRequest对象了.今天学习了点关于XMLHttpReq ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5gLWz.html" rel="bookmark" class="title">asp 正则实现清除html文本格式的函数代码&lowbar;应用技巧</a>
					<div>
						复制代码 代码如下: &lt;% '/* 函数名称:Zxj_ReplaceHtml ClearHtml '/* 函数语言:VBScript Language '/* 作 用:清除文件HTML格式函数  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G0KOp.html" rel="bookmark" class="title">JavaScript必知必会&lpar;九）function 说起 闭包问题&lowbar;javascript技巧</a>
					<div>
						function 函数格式 function getPrototyNames(o,/*optional*/ a) { a = a || []; for(var p in o) { a.push(p); ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jAQgp.html" rel="bookmark" class="title">Android中标签容器控件的实例详解&lowbar;Android</a>
					<div>
						前言 在一些APP中我们可以看到一些存放标签的容器控件,和我们平时使用的一些布局方式有些不同,它们一般都可以自动适应屏幕的宽度进行布局,根据对自定义控件的一些理解,今天写一个简单的标签容器控件,给大家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYOq5b.html" rel="bookmark" class="title">Oracle数据库处理多媒体信息&lowbar;oracle</a>
					<div>
						正在看的ORACLE教程是:Oracle数据库处理多媒体信息.引文: 长期以来,多媒体信息在计算机中都是以文件形式存放,由操作系统管理的,但是随着计算机网络,分布式计算的发展,对多媒体信息进行高效的管 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
